Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# StackedPerlinNoise3 Class Reference

Implements a multi-layer PerlinNoise, with one or more high-frequency noise functions added to a lower-frequency base noise function. More...

List of all members.

## Public Member Functions
| StackedPerlinNoise3 ()
| Creates a StackedPerlinNoise3 object with no levels.
| StackedPerlinNoise3 (StackedPerlinNoise3 const copy)
| Creates an exact duplicate of the existing StackedPerlinNoise3 object, including the random seed.
| StackedPerlinNoise3 (double sx, double sy, double sz, int num_levels, double scale_factor, double amp_scale, int table_size)
| Creates num_levels nested PerlinNoise3 objects.
| StackedPerlinNoise3 (double sx, double sy, double sz)
| Creates num_levels nested PerlinNoise3 objects.
| StackedPerlinNoise3 (double sx, double sy, double sz, int num_levels, double scale_factor, double amp_scale)
| Creates num_levels nested PerlinNoise3 objects.
| StackedPerlinNoise3 (double sx, double sy, double sz, int num_levels, double scale_factor, double amp_scale, int table_size, unsigned long int seed)
| Creates num_levels nested PerlinNoise3 objects.
| StackedPerlinNoise3 (double sx, double sy, double sz, int num_levels, double scale_factor)
| Creates num_levels nested PerlinNoise3 objects.
| StackedPerlinNoise3 (double sx, double sy, double sz, int num_levels)
| Creates num_levels nested PerlinNoise3 objects.
| addLevel (PerlinNoise3 const level, double amp)
| Adds an arbitrary PerlinNoise3 object, and an associated amplitude, to the stack.
| addLevel (PerlinNoise3 const level)
| Adds an arbitrary PerlinNoise3 object, and an associated amplitude, to the stack.
| clear ()
| Removes all levels from the stack.
double | noise (double x, double y, double z)
| Returns the noise function of the three inputs.
double | noise (VBase3D const value)
| Returns the noise function of the three inputs.
float | noise (VBase3 const value)
| Returns the noise function of the three inputs.
double | operator() (VBase3D const value)
| Returns the noise function of the three inputs.
float | operator() (VBase3 const value)
| Returns the noise function of the three inputs.
double | operator() (double x, double y, double z)
| Returns the noise function of the three inputs.
StackedPerlinNoise3 | operator= (StackedPerlinNoise3 const copy)
| Creates an exact duplicate of the existing StackedPerlinNoise3 object, including the random seed.

## Detailed Description

Implements a multi-layer PerlinNoise, with one or more high-frequency noise functions added to a lower-frequency base noise function.

## Constructor & Destructor Documentation

StackedPerlinNoise3 | ( |  | ) |

Creates a StackedPerlinNoise3 object with no levels.

You should call add_level() to add each level by hand.

StackedPerlinNoise3 | ( | StackedPerlinNoise3 const | copy | ) |

Creates an exact duplicate of the existing StackedPerlinNoise3 object, including the random seed.

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz,
|  | int | num_levels,
|  | double | scale_factor,
|  | double | amp_scale,
|  | int | table_size,
|  | unsigned long int | seed
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz,
|  | int | num_levels,
|  | double | scale_factor,
|  | double | amp_scale,
|  | int | table_size
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz,
|  | int | num_levels,
|  | double | scale_factor,
|  | double | amp_scale
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz,
|  | int | num_levels,
|  | double | scale_factor
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz,
|  | int | num_levels
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

StackedPerlinNoise3 | ( | double | sx,
|  | double | sy,
|  | double | sz
| ) |  |

Creates num_levels nested PerlinNoise3 objects.

Each stacked Perlin object will have a scale of 1 / scale_factor times the previous object (so that it is higher-frequency, if scale_factor > 1), and an amplitude of amp_scale times the previous object (so that it is less important, if amp_scale < 1).

## Member Function Documentation

addLevel | ( | PerlinNoise3 const | level,
|  | double | amp
| ) |  |

Adds an arbitrary PerlinNoise3 object, and an associated amplitude, to the stack.

addLevel | ( | PerlinNoise3 const | level | ) |

Adds an arbitrary PerlinNoise3 object, and an associated amplitude, to the stack.

clear | ( |  | ) |

Removes all levels from the stack.

You must call add_level() again to restore them.

double noise | ( | VBase3D const | value | ) |

Returns the noise function of the three inputs.

double noise | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Returns the noise function of the three inputs.

float noise | ( | VBase3 const | value | ) |

Returns the noise function of the three inputs.

float operator() | ( | VBase3 const | value | ) |

Returns the noise function of the three inputs.

double operator() | ( | VBase3D const | value | ) |

Returns the noise function of the three inputs.

double operator() | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Returns the noise function of the three inputs.

StackedPerlinNoise3 operator= | ( | StackedPerlinNoise3 const | copy | ) |

Creates an exact duplicate of the existing StackedPerlinNoise3 object, including the random seed.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties